Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__address Class Reference

Schema urn:uddi-org:api_v2:"address". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes
std::vector< uddi2__addressLine * > | addressLine
| Vector of uddi2__addressLine* with length 0..unbounded.
char * | useType
| Attribute useType of type xs:string.
char * | sortCode
| Attribute sortCode of type xs:string.
uddi2__tModelKey | tModelKey
| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"address".

## Member Data Documentation

std::vector<uddi2__addressLine* > uddi2__address::addressLine

| Vector of uddi2__addressLine* with length 0..unbounded.

struct soap* uddi2__address::soap

| A handle to the soap struct context that manages this class instance.

char* uddi2__address::sortCode

| Attribute sortCode of type xs:string. Optional attribute

uddi2__tModelKey uddi2__address::tModelKey

| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey. Optional attribute

char* uddi2__address::useType

| Attribute useType of type xs:string. Optional attribute

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h